#
# tctf_door_lock_lights.bsl
#
# SCRIPTS TO CHANGE THE LOCKED LIGHTS ON DOORS
#
# GREEN TO RED: do stop
# RED TO GREEN: do start

func void floor4_lock(void)
{
  music_stop
  input 0
  fade_out 0 0 0 30
  cm_interpolate floor4_lock 0
  fade_in 30
  sleep 60
  particle floor4_lock_locklight01 do start
  sleep 90
  fade_out 0 0 0 30
  cm_reset
  fade_in 30
  input 1
  target_set(60,30.0)
  sound_dialog_play_block c00_01_28shinatama
  if (dreamw eq 0)
  {
    door_lock 40
    door_open 99
    door_jam 99
    ai2_spawn a_tank1
    chr_facetoflag a_tank1 31
    chr_inv_reset a_tank1
    chr_teleport a_tank1 329
    ai2_spawn a_t99
    chr_facetoflag a_t99 12
    chr_teleport a_t99 311
    chr_set_health a_t99 400
    sleep 40
    ai2_spawn sh_tank2
    chr_facetoflag sh_tank2 31
    chr_teleport sh_tank2 7011
    ai2_spawn a_t03
    chr_facetoflag a_t03 12
    chr_inv_reset a_t03
    chr_set_health a_t03 200
    chr_teleport a_t03 7011
    sleep 40
    ai2_spawn l4_t1
    chr_facetoflag l4_t1 12
    chr_facetoflag l4_t1 31
    chr_teleport l4_t1 4007
    chr_set_health l4_t1 200
    sleep 40
    ai2_spawn sh_red2
    chr_facetoflag sh_red2 31
    chr_teleport sh_red2 4007
    ai2_spawn sh_s2
    chr_teleport sh_s2 311
    chr_wait_health a_tank1 0
    door_unlock 40
    door_unjam 99
  }
  if (dreamw eq 1)
  {
    ai2_spawn flOUTSIDE_A_sniper_1
    chr_changeteam flOUTSIDE_A_sniper_1 Syndicate
    chr_giveweapon flOUTSIDE_A_sniper_1 w14_sbg2
    chr_teleport flOUTSIDE_A_sniper_1 329
    #chr_facetoflag flOUTSIDE_A_sniper_1 31
    ai2_spawn B_S43
    chr_changeteam B_S43 Syndicate
    chr_teleport B_S43 311
    ai2_spawn E1_c40
    chr_changeteam E1_c40 TCTF
    chr_teleport E1_c40 311
  }
  if (dreamw eq 2)
  {
    ai2_spawn flOUTSIDE_A_sniper_1
    chr_changeteam flOUTSIDE_A_sniper_1 Syndicate
    chr_giveweapon flOUTSIDE_A_sniper_1 w7_scc
    chr_teleport flOUTSIDE_A_sniper_1 329
    #chr_facetoflag flOUTSIDE_A_sniper_1 31
    ai2_spawn B_S43
    chr_changeteam B_S43 Syndicate
    chr_teleport B_S43 311
    ai2_spawn E1_c40
    chr_changeteam E1_c40 TCTF
    chr_teleport E1_c40 311
  }
}

func void shin_lock(void)
{
  particle shin_lock_locklight01 do start
  particle roof_locklight01 do start
  if (Onisf eq 0)
  {
    spcs502
  }
}